%define version 1.3.4.1
%define rname	Switchproxy_%version
%define cid 	\{27A2FD41-CB23-4518-AB5C-C25BAFFDE531\}
%define ciddir	%firefox_extensionsdir/%cid

Summary:	Plugin switchproxy for Firefox
Name:		%firefox_name-switchproxy
Version:	%version
Release:	alt0.M30.1
# http://www.unghost.ru/firefox/extensions/switchproxy/Switchproxy_1.3.4.1.xpi
Source0:	%rname.xpi
License:	GPL
Group:		Networking/WWW	
URL:		http://mozmonkey.com/packages/switchproxy/
Buildrequires:  %firefox_name-devel unzip
BuildArch:	noarch

Requires: %firefox_name = %firefox_version

Packager:	Alexey Shabalin <shaba@altlinux.ru>

%description 	
A tool that allows you to manage and switch between multiple proxy configurations quickly and easily.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir
# XXX ugly hack
find %buildroot/%ciddir -name *.jar -exec chmod 644 {} \;

%post
%firefox_install_extension %ciddir

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Thu Apr 18 2006 LAKostis <lakostis at altlinux.ru> 1.3.4.1-alt0.M30.1
- rebuild with new firefox;
- 1.3.4.1 version from Unghost (als at mozilla.ru).

* Fri Oct 28 2005 LAKostis <lakostis at altlinux.ru> 1.3.2-alt2.2
- quick`n`dirty permissions fix.

* Sun Oct 16 2005 LAKostis <lakostis at altlinux.ru> 1.3.2-alt2.1
- add initial ru-RU translation.

* Thu Oct 13 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 1.3.2-alt2
- rebuild with new firefox.

* Fri Aug 26 2005 Alexey Gladkov <legion@altlinux.ru> 1.3.2-alt1.3
- bugfix rebuild.

* Tue Aug 16 2005 Alexey Gladkov <legion@altlinux.ru> 1.3.2-alt1.2
- bugfix rebuild.

* Mon Aug 15 2005 Alexey Gladkov <legion@altlinux.ru> 1.3.2-alt1.1
- Rebuild with new firefox.

* Fri Jul 01 2005 Alexey Shabalin <shaba@altlinux.ru> 1.3.2-alt1
- first build for ALT Linux.
